curl --request GET \
--url https://api.devin.ai/v3/organizations/{org_id}/automations/schemas \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/automations/schemas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/organizations/{org_id}/automations/schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sources": {},
"update_semantics": "<string>"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Ereignisschemas für Automatisierungen abrufen
Alle unterstützten Trigger-Ereignisschemas zurückgeben, nach Quelle und anschließend nach Ereignisname gruppiert.
Jedes Schema beschreibt die Nutzlastfelder des Ereignisses, die von seinen
Bedingungen unterstützten Operatoren und die gültigen replies-Verben, damit Aufrufer gültige
triggers für die Erstell- und Aktualisierungsendpunkte erstellen können.
Berechtigungen
ViewOrgAutomations auf Organisationsebene.
Verwendung
replies-Verben zurück. So können Sie gültige triggers für die Endpunkte zum Erstellen und Aktualisieren erstellen. Quellen, die für die Organization nicht aktiviert sind, werden nicht berücksichtigt.Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Pfadparameter
Organisations-ID (Präfix: org-)
"org-abc123def456"
Antwort
Erfolgreiche Antwort
Ereignisquelle → Ereignisname → Schema.
Show child attributes
Show child attributes
Für diese Organisation aktive PATCH-Semantik: 'replace_groups' (eine in der Anfrage enthaltene Konfigurationsgruppe ersetzt die gespeicherte Gruppe vollständig) oder 'merge_patch' (RFC 7396 für Objekte: Nicht angegebene Mitglieder einer vorhandenen Gruppe behalten ihre gespeicherten Werte, explizite null-Werte löschen sie; die Listenmitgliedschaft wird weiterhin vollständig ersetzt – zum Löschen wird die Liste ohne das Element erneut gesendet –, aber jedes gesendete Element wird mit dem gespeicherten Element desselben Typs zusammengeführt, wenn dieser Typ auf beiden Seiten genau einmal vorkommt; wiederholte Typen müssen vollständig erneut angegeben werden). Offenes Enum – Clients müssen neue Werte tolerieren.

